#include <iostream>
using namespace std;

int Pitaj(int vage[][2], int l, int r, int x){
	int rez = 0;
	for(int i = l; i <= r; i++){
		if(vage[i][0] <= x && x <= vage[i][1]) rez++;
	}
	return rez;
}
int main(){
	int n, m, l,r,x;
	cin >> n >> m;
	int vage [n][2];
	for(int i = 0; i < n; i++){
		for(int j = 0; j < 2; j++)
			cin >> vage[i][j];
	}
	for(int i = 0; i < m; i++){
		cin >> l >> r >> x;
		cout << Pitaj(vage,l-1,r-1,x) << endl;
		
	}
	}